This endpoint returns the same grouped interaction metrics as Get Interaction Aggregates, with a shorter response. The request body is the same: time_range, filters, group_by, additional_group_bys, variables, order_by, limit, and offset. If variables is omitted, the API computes n_interactions, n_users, cost, and latency_seconds. Any variable you do not request is null.You need an API key to authenticate. See here for more information about the API keys.
Value saved for the selected group in the previous period. Null when ROI is off.
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Documentation","colors":{"primary":"#0a4fff"},"logo":{"light":"https://mintcdn.com/nebulyai/Z4cH-Z3_KpwmkdSB/images/black_logo.svg?fit=max\u0026auto=format\u0026n=Z4cH-Z3_KpwmkdSB\u0026q=85\u0026s=88e0930f5ecc7197a8159a23f17ceb3d","dark":"https://mintcdn.com/nebulyai/Z4cH-Z3_KpwmkdSB/images/white_logo.svg?fit=max\u0026auto=format\u0026n=Z4cH-Z3_KpwmkdSB\u0026q=85\u0026s=3b177bfe210caba95927e81f14efd379"},"favicon":"https://mintcdn.com/nebulyai/h9aKiGKVR2DLe52O/images/fav.png?fit=max\u0026auto=format\u0026n=h9aKiGKVR2DLe52O\u0026q=85\u0026s=1886884b14952466a25e5faa964daefd","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://backend.nebuly.com/event-ingestion"}},"appearance":{"default":"system","strict":false},"background":{"color":{"light":"#FEF8F4","dark":"#1b1b1d"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"nebulyai","hasAudioNarration":false,"actualSubdomain":"nebulyai","customDomains":["docs.nebuly.com"],"gitSource":{"type":"github","owner":"nebuly-ai","repo":"platform-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb6d1456d3256e25f7df81","collectionId":"0b6c4e7f-12fc-4d9d-9e9d-4ccb9647ccdf","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb6d1456d3256e25f7df81"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeb6d1456d3256e25f7df81","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"default","tag":"Documentation","count":46},{"language":"default","tag":"API Reference","count":27},{"language":"default","tag":"PRODUCTS","count":10},{"language":"default","tag":"Insights API","count":10},{"language":"default","tag":"DATA","count":9},{"language":"default","tag":"UI components","count":9},{"language":"default","tag":"EMPLOYEE AGENTS","count":7},{"language":"default","tag":"REPORTS","count":7},{"language":"default","tag":"PLATFORM","count":7},{"language":"default","tag":"SETUP","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#sidebar-content li[data-title]:has(>ul a[class*=\"bg-primary\"])>button{background-color:transparent!important;color:rgb(55 65 81)!important;text-shadow:none!important}.dark #sidebar-content li[data-title]:has(>ul a[class*=\"bg-primary\"])>button{color:rgb(156 163 175)!important}"}],"page":{"pagePath":"embedded-pages/interactions/get-interaction-aggregates-v2","slug":"/embedded-pages/interactions/get-interaction-aggregates-v2","pageMetadata":{"title":"Get Interaction Aggregates V2","api":"POST https://backend.nebuly.com/api/external/get-interaction-aggregates-v2","description":null,"href":"/embedded-pages/interactions/get-interaction-aggregates-v2"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Expandable,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint returns the same grouped interaction metrics as `,_jsx(_components.a,{href:`/embedded-pages/interactions/get-interaction-aggregates`,children:`Get Interaction Aggregates`}),`, with a shorter response. The request body is the same: `,_jsx(_components.code,{children:`time_range`}),`, `,_jsx(_components.code,{children:`filters`}),`, `,_jsx(_components.code,{children:`group_by`}),`, `,_jsx(_components.code,{children:`additional_group_bys`}),`, `,_jsx(_components.code,{children:`variables`}),`, `,_jsx(_components.code,{children:`order_by`}),`, `,_jsx(_components.code,{children:`limit`}),`, and `,_jsx(_components.code,{children:`offset`}),`. If `,_jsx(_components.code,{children:`variables`}),` is omitted, the API computes `,_jsx(_components.code,{children:`n_interactions`}),`, `,_jsx(_components.code,{children:`n_users`}),`, `,_jsx(_components.code,{children:`cost`}),`, and `,_jsx(_components.code,{children:`latency_seconds`}),`. Any variable you do not request is null.`]}),`\n`,_jsxs(_components.p,{children:[`You need an API key to authenticate. See `,_jsx(_components.a,{href:`/embedded-pages/quickstart`,children:`here`}),` for more information about the API keys.`]}),`\n`,`\n`,`\n`,_jsx(ResponseField,{name:`total`,type:`integer`,id:`param-total`,children:_jsx(_components.p,{children:`The total number of groups.`})}),`\n`,_jsx(ResponseField,{name:`offset`,type:`integer`,id:`param-offset`,children:_jsx(_components.p,{children:`The offset used for pagination.`})}),`\n`,_jsx(ResponseField,{name:`limit`,type:`integer`,id:`param-limit`,children:_jsx(_components.p,{children:`The maximum number of groups returned.`})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object[]`,id:`param-data`,children:[_jsx(_components.p,{children:`Aggregated values for each group.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`group_name`,type:`string`,id:`param-group-name`,children:_jsx(_components.p,{children:`The group name.`})}),_jsx(ResponseField,{name:`additional_groups`,type:`string[]`,id:`param-additional-groups`,children:_jsx(_components.p,{children:`Names for the additional group-by dimensions, when requested.`})}),_jsx(ResponseField,{name:`n_interactions`,type:`integer`,id:`param-n-interactions`,children:_jsx(_components.p,{children:`The number of interactions in the group.`})}),_jsx(ResponseField,{name:`n_interactions_prev`,type:`integer`,id:`param-n-interactions-prev`,children:_jsx(_components.p,{children:`The number of interactions in the previous period.`})}),_jsx(ResponseField,{name:`n_users`,type:`integer`,id:`param-n-users`,children:_jsx(_components.p,{children:`The number of users in the group.`})}),_jsx(ResponseField,{name:`n_users_prev`,type:`integer`,id:`param-n-users-prev`,children:_jsx(_components.p,{children:`The number of users in the previous period.`})}),_jsx(ResponseField,{name:`n_feedback`,type:`integer`,id:`param-n-feedback`,children:_jsx(_components.p,{children:`The number of feedback events in the group.`})}),_jsx(ResponseField,{name:`n_feedback_prev`,type:`integer`,id:`param-n-feedback-prev`,children:_jsx(_components.p,{children:`The number of feedback events in the previous period.`})}),_jsx(ResponseField,{name:`n_positive_implicit_user_feedback`,type:`integer`,id:`param-n-positive-implicit-user-feedback`,children:_jsx(_components.p,{children:`Positive implicit feedback in the group.`})}),_jsx(ResponseField,{name:`n_negative_implicit_user_feedback`,type:`integer`,id:`param-n-negative-implicit-user-feedback`,children:_jsx(_components.p,{children:`Negative implicit feedback in the group.`})}),_jsx(ResponseField,{name:`n_positive_explicit_user_feedback`,type:`integer`,id:`param-n-positive-explicit-user-feedback`,children:_jsx(_components.p,{children:`Positive explicit feedback in the group.`})}),_jsx(ResponseField,{name:`n_negative_explicit_user_feedback`,type:`integer`,id:`param-n-negative-explicit-user-feedback`,children:_jsx(_components.p,{children:`Negative explicit feedback in the group.`})}),_jsx(ResponseField,{name:`n_positive_implicit_user_feedback_prev`,type:`integer`,id:`param-n-positive-implicit-user-feedback-prev`,children:_jsx(_components.p,{children:`Positive implicit feedback in the previous period.`})}),_jsx(ResponseField,{name:`n_negative_implicit_user_feedback_prev`,type:`integer`,id:`param-n-negative-implicit-user-feedback-prev`,children:_jsx(_components.p,{children:`Negative implicit feedback in the previous period.`})}),_jsx(ResponseField,{name:`n_positive_explicit_user_feedback_prev`,type:`integer`,id:`param-n-positive-explicit-user-feedback-prev`,children:_jsx(_components.p,{children:`Positive explicit feedback in the previous period.`})}),_jsx(ResponseField,{name:`n_negative_explicit_user_feedback_prev`,type:`integer`,id:`param-n-negative-explicit-user-feedback-prev`,children:_jsx(_components.p,{children:`Negative explicit feedback in the previous period.`})}),_jsx(ResponseField,{name:`n_intents`,type:`integer`,id:`param-n-intents`,children:_jsx(_components.p,{children:`The number of intents in the group.`})}),_jsx(ResponseField,{name:`n_intents_prev`,type:`integer`,id:`param-n-intents-prev`,children:_jsx(_components.p,{children:`The number of intents in the previous period.`})}),_jsx(ResponseField,{name:`cost`,type:`float`,id:`param-cost`,children:_jsx(_components.p,{children:`The total cost for the group.`})}),_jsx(ResponseField,{name:`latency_seconds`,type:`float`,id:`param-latency-seconds`,children:_jsx(_components.p,{children:`The average latency for the group, in seconds.`})}),_jsx(ResponseField,{name:`retention`,type:`float`,id:`param-retention`,children:_jsx(_components.p,{children:`Retention for the group.`})}),_jsx(ResponseField,{name:`session_length`,type:`float`,id:`param-session-length`,children:_jsx(_components.p,{children:`Average session length for the group.`})}),_jsx(ResponseField,{name:`session_time`,type:`float`,id:`param-session-time`,children:_jsx(_components.p,{children:`Average session time for the group.`})}),_jsx(ResponseField,{name:`n_sessions`,type:`integer`,id:`param-n-sessions`,children:_jsx(_components.p,{children:`The number of sessions in the group.`})}),_jsx(ResponseField,{name:`n_sessions_prev`,type:`integer`,id:`param-n-sessions-prev`,children:_jsx(_components.p,{children:`The number of sessions in the previous period.`})}),_jsx(ResponseField,{name:`n_segments`,type:`integer`,id:`param-n-segments`,children:_jsx(_components.p,{children:`The number of segments in the group.`})}),_jsx(ResponseField,{name:`n_segments_prev`,type:`integer`,id:`param-n-segments-prev`,children:_jsx(_components.p,{children:`The number of segments in the previous period.`})}),_jsx(ResponseField,{name:`topics`,type:`string[]`,id:`param-topics`,children:_jsx(_components.p,{children:`Topics present in the group.`})}),_jsx(ResponseField,{name:`input_length`,type:`float`,id:`param-input-length`,children:_jsx(_components.p,{children:`Average input length for the group.`})}),_jsx(ResponseField,{name:`input_length_prev`,type:`float`,id:`param-input-length-prev`,children:_jsx(_components.p,{children:`Average input length in the previous period.`})}),_jsx(ResponseField,{name:`input_tokens`,type:`integer`,id:`param-input-tokens`,children:_jsx(_components.p,{children:`Input tokens for the group.`})}),_jsx(ResponseField,{name:`input_tokens_prev`,type:`integer`,id:`param-input-tokens-prev`,children:_jsx(_components.p,{children:`Input tokens in the previous period.`})}),_jsx(ResponseField,{name:`output_tokens`,type:`integer`,id:`param-output-tokens`,children:_jsx(_components.p,{children:`Output tokens for the group.`})}),_jsx(ResponseField,{name:`output_tokens_prev`,type:`integer`,id:`param-output-tokens-prev`,children:_jsx(_components.p,{children:`Output tokens in the previous period.`})}),_jsx(ResponseField,{name:`aifi_proficiency_score`,type:`float`,id:`param-aifi-proficiency-score`,children:_jsx(_components.p,{children:`AI Proficiency for the selected group, with two digits after the decimal. Null when the group has no proficiency score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_score_prev`,type:`float`,id:`param-aifi-proficiency-score-prev`,children:_jsx(_components.p,{children:`AI Proficiency for the selected group in the previous period. Null when the group has no proficiency score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_task_clarity_score`,type:`float`,id:`param-aifi-proficiency-task-clarity-score`,children:_jsx(_components.p,{children:`Task clarity component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_context_provision_score`,type:`float`,id:`param-aifi-proficiency-context-provision-score`,children:_jsx(_components.p,{children:`Context provision component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_output_specification_score`,type:`float`,id:`param-aifi-proficiency-output-specification-score`,children:_jsx(_components.p,{children:`Output specification component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_prompt_length_score`,type:`float`,id:`param-aifi-proficiency-prompt-length-score`,children:_jsx(_components.p,{children:`Prompt length component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_conversation_efficiency_score`,type:`float`,id:`param-aifi-proficiency-conversation-efficiency-score`,children:_jsx(_components.p,{children:`Conversation efficiency component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_constraint_specification_score`,type:`float`,id:`param-aifi-proficiency-constraint-specification-score`,children:_jsx(_components.p,{children:`Constraint specification component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_moved_up`,type:`integer`,id:`param-aifi-proficiency-moved-up`,children:_jsx(_components.p,{children:`Users in the group whose AI Proficiency moved up. Null when it was not requested.`})}),_jsx(ResponseField,{name:`aifi_proficiency_slipped_back`,type:`integer`,id:`param-aifi-proficiency-slipped-back`,children:_jsx(_components.p,{children:`Users in the group whose AI Proficiency slipped back. Null when it was not requested.`})}),_jsx(ResponseField,{name:`aifi_proficiency_stayed`,type:`integer`,id:`param-aifi-proficiency-stayed`,children:_jsx(_components.p,{children:`Users in the group whose AI Proficiency stayed the same. Null when it was not requested.`})}),_jsx(ResponseField,{name:`roi_hours_saved`,type:`float`,id:`param-roi-hours-saved`,children:_jsx(_components.p,{children:`Hours saved for the selected group when ROI is enabled. Null when ROI is off.`})}),_jsx(ResponseField,{name:`roi_hours_saved_prev`,type:`float`,id:`param-roi-hours-saved-prev`,children:_jsx(_components.p,{children:`Hours saved for the selected group in the previous period. Null when ROI is off.`})}),_jsx(ResponseField,{name:`roi_value_saved`,type:`float`,id:`param-roi-value-saved`,children:_jsx(_components.p,{children:`Value saved for the selected group when ROI is enabled. Null when ROI is off.`})}),_jsx(ResponseField,{name:`roi_value_saved_prev`,type:`float`,id:`param-roi-value-saved-prev`,children:_jsx(_components.p,{children:`Value saved for the selected group in the previous period. Null when ROI is off.`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Interaction Aggregates V2","api":"POST https://backend.nebuly.com/api/external/get-interaction-aggregates-v2","description":null,"href":"/embedded-pages/interactions/get-interaction-aggregates-v2"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Expandable,RequestExample,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint returns the same grouped interaction metrics as `,_jsx(_components.a,{href:`/embedded-pages/interactions/get-interaction-aggregates`,children:`Get Interaction Aggregates`}),`, with a shorter response. The request body is the same: `,_jsx(_components.code,{children:`time_range`}),`, `,_jsx(_components.code,{children:`filters`}),`, `,_jsx(_components.code,{children:`group_by`}),`, `,_jsx(_components.code,{children:`additional_group_bys`}),`, `,_jsx(_components.code,{children:`variables`}),`, `,_jsx(_components.code,{children:`order_by`}),`, `,_jsx(_components.code,{children:`limit`}),`, and `,_jsx(_components.code,{children:`offset`}),`. If `,_jsx(_components.code,{children:`variables`}),` is omitted, the API computes `,_jsx(_components.code,{children:`n_interactions`}),`, `,_jsx(_components.code,{children:`n_users`}),`, `,_jsx(_components.code,{children:`cost`}),`, and `,_jsx(_components.code,{children:`latency_seconds`}),`. Any variable you do not request is null.`]}),`\n`,_jsxs(_components.p,{children:[`You need an API key to authenticate. See `,_jsx(_components.a,{href:`/embedded-pages/quickstart`,children:`here`}),` for more information about the API keys.`]}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`Request`,numberOfLines:`17`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`17`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`url `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://backend.nebuly.com/api/external/get-interaction-aggregates-v2\"`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bearer \u003cYOUR_API_KEY>\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`payload `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"time_range\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"start\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-05-01T00:00:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"end\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-05-31T23:59:59Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"filters\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"variables\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"n_interactions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"aifi_score\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.post(url, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`payload)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.json())`})]}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`12`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`12`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"group_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"total\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"n_interactions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`120`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"aifi_proficiency_score\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`45.0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`10`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"offset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(ResponseField,{name:`total`,type:`integer`,id:`param-total`,children:_jsx(_components.p,{children:`The total number of groups.`})}),`\n`,_jsx(ResponseField,{name:`offset`,type:`integer`,id:`param-offset`,children:_jsx(_components.p,{children:`The offset used for pagination.`})}),`\n`,_jsx(ResponseField,{name:`limit`,type:`integer`,id:`param-limit`,children:_jsx(_components.p,{children:`The maximum number of groups returned.`})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object[]`,id:`param-data`,children:[_jsx(_components.p,{children:`Aggregated values for each group.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`group_name`,type:`string`,id:`param-group-name`,children:_jsx(_components.p,{children:`The group name.`})}),_jsx(ResponseField,{name:`additional_groups`,type:`string[]`,id:`param-additional-groups`,children:_jsx(_components.p,{children:`Names for the additional group-by dimensions, when requested.`})}),_jsx(ResponseField,{name:`n_interactions`,type:`integer`,id:`param-n-interactions`,children:_jsx(_components.p,{children:`The number of interactions in the group.`})}),_jsx(ResponseField,{name:`n_interactions_prev`,type:`integer`,id:`param-n-interactions-prev`,children:_jsx(_components.p,{children:`The number of interactions in the previous period.`})}),_jsx(ResponseField,{name:`n_users`,type:`integer`,id:`param-n-users`,children:_jsx(_components.p,{children:`The number of users in the group.`})}),_jsx(ResponseField,{name:`n_users_prev`,type:`integer`,id:`param-n-users-prev`,children:_jsx(_components.p,{children:`The number of users in the previous period.`})}),_jsx(ResponseField,{name:`n_feedback`,type:`integer`,id:`param-n-feedback`,children:_jsx(_components.p,{children:`The number of feedback events in the group.`})}),_jsx(ResponseField,{name:`n_feedback_prev`,type:`integer`,id:`param-n-feedback-prev`,children:_jsx(_components.p,{children:`The number of feedback events in the previous period.`})}),_jsx(ResponseField,{name:`n_positive_implicit_user_feedback`,type:`integer`,id:`param-n-positive-implicit-user-feedback`,children:_jsx(_components.p,{children:`Positive implicit feedback in the group.`})}),_jsx(ResponseField,{name:`n_negative_implicit_user_feedback`,type:`integer`,id:`param-n-negative-implicit-user-feedback`,children:_jsx(_components.p,{children:`Negative implicit feedback in the group.`})}),_jsx(ResponseField,{name:`n_positive_explicit_user_feedback`,type:`integer`,id:`param-n-positive-explicit-user-feedback`,children:_jsx(_components.p,{children:`Positive explicit feedback in the group.`})}),_jsx(ResponseField,{name:`n_negative_explicit_user_feedback`,type:`integer`,id:`param-n-negative-explicit-user-feedback`,children:_jsx(_components.p,{children:`Negative explicit feedback in the group.`})}),_jsx(ResponseField,{name:`n_positive_implicit_user_feedback_prev`,type:`integer`,id:`param-n-positive-implicit-user-feedback-prev`,children:_jsx(_components.p,{children:`Positive implicit feedback in the previous period.`})}),_jsx(ResponseField,{name:`n_negative_implicit_user_feedback_prev`,type:`integer`,id:`param-n-negative-implicit-user-feedback-prev`,children:_jsx(_components.p,{children:`Negative implicit feedback in the previous period.`})}),_jsx(ResponseField,{name:`n_positive_explicit_user_feedback_prev`,type:`integer`,id:`param-n-positive-explicit-user-feedback-prev`,children:_jsx(_components.p,{children:`Positive explicit feedback in the previous period.`})}),_jsx(ResponseField,{name:`n_negative_explicit_user_feedback_prev`,type:`integer`,id:`param-n-negative-explicit-user-feedback-prev`,children:_jsx(_components.p,{children:`Negative explicit feedback in the previous period.`})}),_jsx(ResponseField,{name:`n_intents`,type:`integer`,id:`param-n-intents`,children:_jsx(_components.p,{children:`The number of intents in the group.`})}),_jsx(ResponseField,{name:`n_intents_prev`,type:`integer`,id:`param-n-intents-prev`,children:_jsx(_components.p,{children:`The number of intents in the previous period.`})}),_jsx(ResponseField,{name:`cost`,type:`float`,id:`param-cost`,children:_jsx(_components.p,{children:`The total cost for the group.`})}),_jsx(ResponseField,{name:`latency_seconds`,type:`float`,id:`param-latency-seconds`,children:_jsx(_components.p,{children:`The average latency for the group, in seconds.`})}),_jsx(ResponseField,{name:`retention`,type:`float`,id:`param-retention`,children:_jsx(_components.p,{children:`Retention for the group.`})}),_jsx(ResponseField,{name:`session_length`,type:`float`,id:`param-session-length`,children:_jsx(_components.p,{children:`Average session length for the group.`})}),_jsx(ResponseField,{name:`session_time`,type:`float`,id:`param-session-time`,children:_jsx(_components.p,{children:`Average session time for the group.`})}),_jsx(ResponseField,{name:`n_sessions`,type:`integer`,id:`param-n-sessions`,children:_jsx(_components.p,{children:`The number of sessions in the group.`})}),_jsx(ResponseField,{name:`n_sessions_prev`,type:`integer`,id:`param-n-sessions-prev`,children:_jsx(_components.p,{children:`The number of sessions in the previous period.`})}),_jsx(ResponseField,{name:`n_segments`,type:`integer`,id:`param-n-segments`,children:_jsx(_components.p,{children:`The number of segments in the group.`})}),_jsx(ResponseField,{name:`n_segments_prev`,type:`integer`,id:`param-n-segments-prev`,children:_jsx(_components.p,{children:`The number of segments in the previous period.`})}),_jsx(ResponseField,{name:`topics`,type:`string[]`,id:`param-topics`,children:_jsx(_components.p,{children:`Topics present in the group.`})}),_jsx(ResponseField,{name:`input_length`,type:`float`,id:`param-input-length`,children:_jsx(_components.p,{children:`Average input length for the group.`})}),_jsx(ResponseField,{name:`input_length_prev`,type:`float`,id:`param-input-length-prev`,children:_jsx(_components.p,{children:`Average input length in the previous period.`})}),_jsx(ResponseField,{name:`input_tokens`,type:`integer`,id:`param-input-tokens`,children:_jsx(_components.p,{children:`Input tokens for the group.`})}),_jsx(ResponseField,{name:`input_tokens_prev`,type:`integer`,id:`param-input-tokens-prev`,children:_jsx(_components.p,{children:`Input tokens in the previous period.`})}),_jsx(ResponseField,{name:`output_tokens`,type:`integer`,id:`param-output-tokens`,children:_jsx(_components.p,{children:`Output tokens for the group.`})}),_jsx(ResponseField,{name:`output_tokens_prev`,type:`integer`,id:`param-output-tokens-prev`,children:_jsx(_components.p,{children:`Output tokens in the previous period.`})}),_jsx(ResponseField,{name:`aifi_proficiency_score`,type:`float`,id:`param-aifi-proficiency-score`,children:_jsx(_components.p,{children:`AI Proficiency for the selected group, with two digits after the decimal. Null when the group has no proficiency score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_score_prev`,type:`float`,id:`param-aifi-proficiency-score-prev`,children:_jsx(_components.p,{children:`AI Proficiency for the selected group in the previous period. Null when the group has no proficiency score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_task_clarity_score`,type:`float`,id:`param-aifi-proficiency-task-clarity-score`,children:_jsx(_components.p,{children:`Task clarity component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_context_provision_score`,type:`float`,id:`param-aifi-proficiency-context-provision-score`,children:_jsx(_components.p,{children:`Context provision component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_output_specification_score`,type:`float`,id:`param-aifi-proficiency-output-specification-score`,children:_jsx(_components.p,{children:`Output specification component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_prompt_length_score`,type:`float`,id:`param-aifi-proficiency-prompt-length-score`,children:_jsx(_components.p,{children:`Prompt length component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_conversation_efficiency_score`,type:`float`,id:`param-aifi-proficiency-conversation-efficiency-score`,children:_jsx(_components.p,{children:`Conversation efficiency component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_constraint_specification_score`,type:`float`,id:`param-aifi-proficiency-constraint-specification-score`,children:_jsx(_components.p,{children:`Constraint specification component of AI Proficiency, with two digits after the decimal. Null when the group has no score.`})}),_jsx(ResponseField,{name:`aifi_proficiency_moved_up`,type:`integer`,id:`param-aifi-proficiency-moved-up`,children:_jsx(_components.p,{children:`Users in the group whose AI Proficiency moved up. Null when it was not requested.`})}),_jsx(ResponseField,{name:`aifi_proficiency_slipped_back`,type:`integer`,id:`param-aifi-proficiency-slipped-back`,children:_jsx(_components.p,{children:`Users in the group whose AI Proficiency slipped back. Null when it was not requested.`})}),_jsx(ResponseField,{name:`aifi_proficiency_stayed`,type:`integer`,id:`param-aifi-proficiency-stayed`,children:_jsx(_components.p,{children:`Users in the group whose AI Proficiency stayed the same. Null when it was not requested.`})}),_jsx(ResponseField,{name:`roi_hours_saved`,type:`float`,id:`param-roi-hours-saved`,children:_jsx(_components.p,{children:`Hours saved for the selected group when ROI is enabled. Null when ROI is off.`})}),_jsx(ResponseField,{name:`roi_hours_saved_prev`,type:`float`,id:`param-roi-hours-saved-prev`,children:_jsx(_components.p,{children:`Hours saved for the selected group in the previous period. Null when ROI is off.`})}),_jsx(ResponseField,{name:`roi_value_saved`,type:`float`,id:`param-roi-value-saved`,children:_jsx(_components.p,{children:`Value saved for the selected group when ROI is enabled. Null when ROI is off.`})}),_jsx(ResponseField,{name:`roi_value_saved_prev`,type:`float`,id:`param-roi-value-saved-prev`,children:_jsx(_components.p,{children:`Value saved for the selected group in the previous period. Null when ROI is off.`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Interaction Aggregates V2","api":"POST https://backend.nebuly.com/api/external/get-interaction-aggregates-v2","description":null,"href":"/embedded-pages/interactions/get-interaction-aggregates-v2"}}}},"mdxExtracts":{"tableOfContents":[],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"Request","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"python\">\u003ccode language=\"python\" numberOfLines=\"17\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">import\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">url \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"https://backend.nebuly.com/api/external/get-interaction-aggregates-v2\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">headers \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Authorization\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Bearer \u0026#x3C;YOUR_API_KEY>\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">payload \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"time_range\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"start\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2024-05-01T00:00:00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"end\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2024-05-31T23:59:59Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"filters\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"variables\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"n_interactions\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"aifi_score\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">response \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests.post(url, \u003c/span>\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\">headers\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">headers, \u003c/span>\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\">json\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">payload)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#DCDCAA\">print\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(response.json())\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"12\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"group_name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"total\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"n_interactions\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">120\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"aifi_proficiency_score\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">45.0\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"total\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"limit\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">10\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"offset\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Get Interaction Aggregates V2","path":"/api/external/get-interaction-aggregates-v2","servers":[{"url":"https://backend.nebuly.com"}],"method":"post","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"total":[{"type":"integer","description":"The total number of groups."}],"offset":[{"type":"integer","description":"The offset used for pagination."}],"limit":[{"type":"integer","description":"The maximum number of groups returned."}],"data":[{"type":"array","items":[{"type":"object","properties":{"group_name":[{"type":"string","description":"The group name."}],"additional_groups":[{"type":"array","items":[{"type":"string"}],"description":"Names for the additional group-by dimensions, when requested."}],"n_interactions":[{"type":"integer","description":"The number of interactions in the group."}],"n_interactions_prev":[{"type":"integer","description":"The number of interactions in the previous period."}],"n_users":[{"type":"integer","description":"The number of users in the group."}],"n_users_prev":[{"type":"integer","description":"The number of users in the previous period."}],"n_feedback":[{"type":"integer","description":"The number of feedback events in the group."}],"n_feedback_prev":[{"type":"integer","description":"The number of feedback events in the previous period."}],"n_positive_implicit_user_feedback":[{"type":"integer","description":"Positive implicit feedback in the group."}],"n_negative_implicit_user_feedback":[{"type":"integer","description":"Negative implicit feedback in the group."}],"n_positive_explicit_user_feedback":[{"type":"integer","description":"Positive explicit feedback in the group."}],"n_negative_explicit_user_feedback":[{"type":"integer","description":"Negative explicit feedback in the group."}],"n_positive_implicit_user_feedback_prev":[{"type":"integer","description":"Positive implicit feedback in the previous period."}],"n_negative_implicit_user_feedback_prev":[{"type":"integer","description":"Negative implicit feedback in the previous period."}],"n_positive_explicit_user_feedback_prev":[{"type":"integer","description":"Positive explicit feedback in the previous period."}],"n_negative_explicit_user_feedback_prev":[{"type":"integer","description":"Negative explicit feedback in the previous period."}],"n_intents":[{"type":"integer","description":"The number of intents in the group."}],"n_intents_prev":[{"type":"integer","description":"The number of intents in the previous period."}],"cost":[{"type":"number","description":"The total cost for the group."}],"latency_seconds":[{"type":"number","description":"The average latency for the group, in seconds."}],"retention":[{"type":"number","description":"Retention for the group."}],"session_length":[{"type":"number","description":"Average session length for the group."}],"session_time":[{"type":"number","description":"Average session time for the group."}],"n_sessions":[{"type":"integer","description":"The number of sessions in the group."}],"n_sessions_prev":[{"type":"integer","description":"The number of sessions in the previous period."}],"n_segments":[{"type":"integer","description":"The number of segments in the group."}],"n_segments_prev":[{"type":"integer","description":"The number of segments in the previous period."}],"topics":[{"type":"array","items":[{"type":"string"}],"description":"Topics present in the group."}],"input_length":[{"type":"number","description":"Average input length for the group."}],"input_length_prev":[{"type":"number","description":"Average input length in the previous period."}],"input_tokens":[{"type":"integer","description":"Input tokens for the group."}],"input_tokens_prev":[{"type":"integer","description":"Input tokens in the previous period."}],"output_tokens":[{"type":"integer","description":"Output tokens for the group."}],"output_tokens_prev":[{"type":"integer","description":"Output tokens in the previous period."}],"aifi_proficiency_score":[{"type":"number","description":"AI Proficiency for the selected group, with two digits after the decimal. Null when the group has no proficiency score."}],"aifi_proficiency_score_prev":[{"type":"number","description":"AI Proficiency for the selected group in the previous period. Null when the group has no proficiency score."}],"aifi_proficiency_task_clarity_score":[{"type":"number","description":"Task clarity component of AI Proficiency, with two digits after the decimal. Null when the group has no score."}],"aifi_proficiency_context_provision_score":[{"type":"number","description":"Context provision component of AI Proficiency, with two digits after the decimal. Null when the group has no score."}],"aifi_proficiency_output_specification_score":[{"type":"number","description":"Output specification component of AI Proficiency, with two digits after the decimal. Null when the group has no score."}],"aifi_proficiency_prompt_length_score":[{"type":"number","description":"Prompt length component of AI Proficiency, with two digits after the decimal. Null when the group has no score."}],"aifi_proficiency_conversation_efficiency_score":[{"type":"number","description":"Conversation efficiency component of AI Proficiency, with two digits after the decimal. Null when the group has no score."}],"aifi_proficiency_constraint_specification_score":[{"type":"number","description":"Constraint specification component of AI Proficiency, with two digits after the decimal. Null when the group has no score."}],"aifi_proficiency_moved_up":[{"type":"integer","description":"Users in the group whose AI Proficiency moved up. Null when it was not requested."}],"aifi_proficiency_slipped_back":[{"type":"integer","description":"Users in the group whose AI Proficiency slipped back. Null when it was not requested."}],"aifi_proficiency_stayed":[{"type":"integer","description":"Users in the group whose AI Proficiency stayed the same. Null when it was not requested."}],"roi_hours_saved":[{"type":"number","description":"Hours saved for the selected group when ROI is enabled. Null when ROI is off."}],"roi_hours_saved_prev":[{"type":"number","description":"Hours saved for the selected group in the previous period. Null when ROI is off."}],"roi_value_saved":[{"type":"number","description":"Value saved for the selected group when ROI is enabled. Null when ROI is off."}],"roi_value_saved_prev":[{"type":"number","description":"Value saved for the selected group in the previous period. Null when ROI is off."}]}}],"description":"Aggregated values for each group."}]}}],"examples":{"example":{"value":{"total":123,"offset":123,"limit":123,"data":[{"group_name":"\u003cstring>","additional_groups":["\u003cstring>"],"n_interactions":123,"n_interactions_prev":123,"n_users":123,"n_users_prev":123,"n_feedback":123,"n_feedback_prev":123,"n_positive_implicit_user_feedback":123,"n_negative_implicit_user_feedback":123,"n_positive_explicit_user_feedback":123,"n_negative_explicit_user_feedback":123,"n_positive_implicit_user_feedback_prev":123,"n_negative_implicit_user_feedback_prev":123,"n_positive_explicit_user_feedback_prev":123,"n_negative_explicit_user_feedback_prev":123,"n_intents":123,"n_intents_prev":123,"cost":123,"latency_seconds":123,"retention":123,"session_length":123,"session_time":123,"n_sessions":123,"n_sessions_prev":123,"n_segments":123,"n_segments_prev":123,"topics":["\u003cstring>"],"input_length":123,"input_length_prev":123,"input_tokens":123,"input_tokens_prev":123,"output_tokens":123,"output_tokens_prev":123,"aifi_proficiency_score":123,"aifi_proficiency_score_prev":123,"aifi_proficiency_task_clarity_score":123,"aifi_proficiency_context_provision_score":123,"aifi_proficiency_output_specification_score":123,"aifi_proficiency_prompt_length_score":123,"aifi_proficiency_conversation_efficiency_score":123,"aifi_proficiency_constraint_specification_score":123,"aifi_proficiency_moved_up":123,"aifi_proficiency_slipped_back":123,"aifi_proficiency_stayed":123,"roi_hours_saved":123,"roi_hours_saved_prev":123,"roi_value_saved":123,"roi_value_saved_prev":123}]}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"nebulyai","siteName":"Documentation","title":"Get Interaction Aggregates V2 - Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-21T15:39:32.688Z","originalFileLocation":"embedded-pages/interactions/get-interaction-aggregates-v2.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Interaction Aggregates V2 - Documentation\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://nebulyai.mintlify.app/_mintlify/api/og/v2?division=Insights+API\u0026amp;title=Get+Interaction+Aggregates+V2\u0026amp;theme=37f27c4e01a37604eb643b24\u0026amp;signature=aeb936cce0d2c33d46c0b917504da104eeca832386250a419c2ade5f03ce532d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Interaction Aggregates V2 - Documentation\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://nebulyai.mintlify.app/_mintlify/api/og/v2?division=Insights+API\u0026amp;title=Get+Interaction+Aggregates+V2\u0026amp;theme=37f27c4e01a37604eb643b24\u0026amp;signature=aeb936cce0d2c33d46c0b917504da104eeca832386250a419c2ade5f03ce532d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/nebulyai/Sm5JTUNJT-7CUVsm/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0a4fff\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/embedded-pages/interactions/get-interaction-aggregates-v2.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.nebuly.com/#organization\",\"name\":\"Documentation\",\"url\":\"https://docs.nebuly.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/nebulyai/Z4cH-Z3_KpwmkdSB/images/black_logo.svg?fit=max\u0026auto=format\u0026n=Z4cH-Z3_KpwmkdSB\u0026q=85\u0026s=88e0930f5ecc7197a8159a23f17ceb3d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.nebuly.com#website\",\"name\":\"Documentation\",\"url\":\"https://docs.nebuly.com\",\"publisher\":{\"@id\":\"https://docs.nebuly.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2#webpage\",\"url\":\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2\",\"name\":\"Get Interaction Aggregates V2\",\"dateModified\":\"2026-10-21T15:39:32.688Z\",\"isPartOf\":{\"@id\":\"https://docs.nebuly.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Insights API\",\"item\":\"https://docs.nebuly.com/embedded-pages/quickstart\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Interaction Aggregates V2\",\"item\":\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2#apireference\",\"headline\":\"Get Interaction Aggregates V2\",\"name\":\"Get Interaction Aggregates V2\",\"url\":\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2\",\"mainEntityOfPage\":{\"@id\":\"https://docs.nebuly.com/embedded-pages/interactions/get-interaction-aggregates-v2#webpage\"},\"dateModified\":\"2026-10-21T15:39:32.688Z\",\"publisher\":{\"@id\":\"https://docs.nebuly.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.nebuly.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","icon":{"name":"lightbulb"},"pages":[{"title":"Documentation","href":"/documentation/what-is-nebuly"}]},{"tab":"API Reference","icon":"code","pages":[{"group":"Getting started","pages":[{"title":"Introduction","href":"/introduction"}]},{"group":"Instrument (Core)","pages":[{"title":"Interaction API","api":"POST https://backend.nebuly.com/event-ingestion/api/v3/events/trace_interaction","href":"/tracking/api-reference/events/post-events-interaction-with-trace-v2"}]},{"group":"Instrument (Optional)","pages":[{"title":"Delete Interactions","api":"POST https://backend.nebuly.com/api/external/projects/delete-interactions","href":"/tracking/api-reference/delete-interactions"},{"title":"Send User Feedback","api":"POST https://backend.nebuly.com/event-ingestion/api/v3/events/feedback","href":"/tracking/api-reference/events/send-user-feedbacks"},{"title":"Send Tags","api":"POST https://backend.nebuly.com/event-ingestion/api/v2/events/tags","href":"/tracking/api-reference/events/send-tags"}]},{"group":"Eligible Users","pages":[{"title":"Overview","href":"/eligible-users/overview"},{"title":"Get Eligible Users","api":"GET https://backend.nebuly.com/api/external/eligible-users","href":"/eligible-users/api-reference/get-eligible-users"},{"title":"Send Eligible Users","api":"POST https://backend.nebuly.com/api/external/eligible-users","href":"/eligible-users/api-reference/send-eligible-users"},{"title":"Update Eligible Users","api":"PUT https://backend.nebuly.com/api/external/eligible-users","href":"/eligible-users/api-reference/update-eligible-users"},{"title":"Delete Eligible Users","api":"DELETE https://backend.nebuly.com/api/external/eligible-users","href":"/eligible-users/api-reference/delete-eligible-users"}]},{"group":"Insights API","pages":[{"title":null,"href":"/embedded-pages/quickstart"},{"title":"Get Interaction Aggregates","api":"POST https://backend.nebuly.com/api/external/get-interaction-aggregates","description":null,"href":"/embedded-pages/interactions/get-interaction-aggregates"},{"title":"Get Interaction Aggregates V2","api":"POST https://backend.nebuly.com/api/external/get-interaction-aggregates-v2","href":"/embedded-pages/interactions/get-interaction-aggregates-v2"},{"title":"Get Interaction Multi Aggregates","api":"POST https://backend.nebuly.com/api/external/get-interaction-multi-aggregates","description":null,"href":"/embedded-pages/interactions/get-interaction-multi-aggregates"},{"title":"Get Interactions","api":"POST https://backend.nebuly.com/api/external/get-interactions","href":"/embedded-pages/interactions/get-interactions"},{"title":"Get Interactions Time-Series","api":"POST https://backend.nebuly.com/api/external/get-interaction-time-series","href":"/embedded-pages/interactions/get-interaction-time-series"},{"title":"Get interaction details V2","api":"GET https://backend.nebuly.com/api/external/export/interactions/detail-v2/{interaction_id}","href":"/embedded-pages/get-interaction-details-v2"},{"title":"Get conversation details","api":"POST https://backend.nebuly.com/api/external/get-conversation-detail","href":"/embedded-pages/get-conversation-details"},{"title":"Create Project","api":"POST https://backend.nebuly.com/api/external/projects/create","href":"/embedded-pages/projects/create-project"},{"title":"Delete Project API Key","api":"POST https://backend.nebuly.com/api/external/projects/delete-api-key","href":"/embedded-pages/projects/delete-api-key"}]},{"group":"Reports API","pages":[{"title":"List Reports","api":"GET https://backend.nebuly.com/api/external/reports/list-reports","href":"/embedded-pages/reports/list-reports"},{"title":"Get Report Data","api":"GET https://backend.nebuly.com/api/external/reports/report-data/{report_id}","href":"/embedded-pages/reports/get-report-data"},{"title":"Get Chart","api":"GET https://backend.nebuly.com/api/external/charts/{chart_id}","href":"/embedded-pages/charts/get-chart"}]},{"group":"Utilities","pages":[{"title":"Get Interaction Deep Link","api":"GET https://backend.nebuly.com/api/external/deeplinks/interaction/{interaction_id}","href":"/embedded-pages/deeplinks/get-interaction-deeplink"},{"title":"Get Conversation Deep Link","api":"GET https://backend.nebuly.com/api/external/deeplinks/conversation/{conversation_id}","href":"/embedded-pages/deeplinks/get-conversation-deeplink"}]}]},{"tab":"Connectors","icon":"puzzle-piece","pages":[{"title":"Connectors","href":"/connectors/langfuse/langfuse"}]},{"tab":"Self-hosting","icon":"server","pages":[{"title":"Self-hosting","href":"/self-hosting/overview"}]},{"tab":"Changelog","icon":{"name":"history"},"pages":[{"title":"Changelog","href":"/changelog/product-changelog"}]},{"tab":"UI components","icon":{"name":"grid"},"pages":[{"title":"UI components","href":"/nebuly-reports/overview"}]}]},"basePath":"","title":"Get Interaction Aggregates V2 - Documentation","buildId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","deploymentId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-DX1Meug0.js","utils-B_OMIQVC.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChxhRPMa.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CuKvD8Iv.js","snippetPresets-C5d7p2hp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CfHcE8m4.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C1zZV314.js","shallow-CmQhqCJn.js","getApiPlaygroundDisplay-YRo9s1O7.js","CodeSnippet-RN1MTdfk.js","CodeSnippets-DKLPHxJA.js","Page-BAvA99GL.js","getPastedJson-bz0M41mU.js","icon-CsmhpPrv.js","MethodPill-CNGsVE77.js","DuplicateIcon-DilfU_Z2.js","createIcon-BdsYzQck.js","DynamicMarkdown-CbqEDjbV.js","SectionHeading-O6hXpFCN.js","axios-vUo_bRtp.js"]}